<?php
if(!defined('BEGIN_TIME')) define('BEGIN_TIME',microtime(true));
if(!defined('BEGIN_MEMORY')) define('BEGIN_MEMORY',memory_get_usage());
if(!defined('XZY_PATH')) define('XZY_PATH',dirname(__FILE__).'/');
if(!defined('CACHE_PATH')) define('CACHE_PATH', INDEX_PATH.'/cache/');
if(!defined('INDEX_PATH')) define('INDEX_PATH',PATH.'../');
if(!defined('MODULE_INDEX')) define('MODULE_INDEX','index');
if(!defined('ACTION_INDEX')) define('ACTION_INDEX','index');
if(!defined('DB_CLASS')) define('DB_CLASS',XZY_PATH.'db.class.php');
define('V','xzyFramework 1.100608');
/*
//把相关的几个文件合并成一个
$tempFile=CACHE_PATH.'runtemp.php';
if(!file_exists($tempFile)){
	$content='';
	$content.=php_strip_whitespace(XZY_PATH.'func.php');
	$content.=php_strip_whitespace(XZY_PATH.'models.class.php');
	file_put_contents($tempFile,$content);
	unset($content);
}
require($tempFile);
*/
require(XZY_PATH.'func.php');
require(XZY_PATH.'module.class.php');
require(DB_CLASS);
$config=reConfig();
class xzy
{
	function run()
	{
		try {
			setSession();
			unset($_SESSION['run']);
			dourl();
			$modelPath=APP_PATH.$_GET['m'].'.module.php';
			if(!file_exists($modelPath)){
				throw new Exception("模块文件 <font color=red>$modelPath</font> 不存在！");
			}else{
				include($modelPath);
			}
			$className=$_GET['m'].c('moduleFix');
			$m=new $className;
			if(is_object($m)){
				$action=$_GET['a'].c('actionFix');
				if(method_exists($m,$action)){
					$m->$action();
				}else{
					throw new Exception("<font color=red>$className</font> 模块的  <font color=blue>$action</font> 动作不存在！");
				}
			}else{
				throw new Exception("<font color=red>$className</font> 模块 不是一个类！");
			}
		}catch (Exception $e) {
			$m=$e->getTrace();
			$m=$m[0];
			$errMsg='<title>出现异常: 类'.$m['class'].'->'.$m['function'].' '.$e-> getLine().'行 </title>
   					<body><div style="font-size:12px;color:#999;font-family:arial,simsun,sans-serif;line-height:180%">
   					<b>异常信息：</b>'.$e->getMessage().'<br /><b>异常文件：</b>'.$e->getFile().' 第'.$e-> getLine().'行<br /></div>';
			if(c('debug')){
   				echo $errMsg;
			}else{
				header('HTTP/1.1 500');
				//mail需stmp支持
				@mail(c('bugMail'),"网站出现Bug 地址:{$_SERVER['HTTP_HOST']}{$_SERVER['REQUEST_URI']}",strip_tags(str_replace('<br />',"\r\n",$errMsg)));
				echo '<div style="color:#333;font-size:12px;">网站出现错误，请联系网站管理人员进行解决(<a href="mailto:'.c('bugMail').'">'.c('bugMail').'</a>)，我们将非常感谢您提交本次问题的URL地址！</div>';
				exit;
			}
		}
	}
}

?>