<?php
function runInfo($type="html")
{
	$begin['time']=BEGIN_TIME;
	$now['time']=microtime(true);
	$time=$now['time']-$begin['time'];
	$begin['memory']=BEGIN_MEMORY;
	$now['memory']=memory_get_usage();
	$memory=$now['memory']-$begin['memory'];
	$cachenum=empty($_SESSION['run']['cachenum'])?0:$_SESSION['run']['cachenum'];
	$sqlnum=count($_SESSION['run']['sql']);
	if(empty($_SESSION['run']['sql'])){
		$sql="无";
	}else{
		foreach($_SESSION['run']['sql'] as $v){
			$sql[]=$v['sql'].'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ['.$v['time'].'s]';
		}
		$sql=implode('<br>',$sql);
	}
	//$sql=empty($_SESSION['run']['sql'])?0:$_SESSION['run']['sql'];;

	$info= '<div style="clear:both;margin:18px auto;font-size:12px;color:#999;border:3px solid #E3E3E3;background:#fff;padding:7px;font-family:arial,simsun,sans-serif;">
			<B>执行时间</B>：'.number_format($time,6).'&nbsp;s <br>
			<B>消耗内存</B>：'.($memory/1024).'&nbsp;k<br>
			<B>框架版本</B>：'.V.'<br>
			<B>缓存使用</B>：'.$cachenum.'条<br>
			<B>SQL请求</B>：'.$sqlnum.'条<br>
			<div><div style="float:left;"><B>SQL语句</B>：</div><div style="float:left;text-align:left;color:">'.$sql.'</div></div>
			<div style="font-size:0px;clear:both;height:0px;width:99%"></div>
			</div>';
	echo $type=='html'?$info:strip_tags(str_replace('&nbsp;'," ",$info));
}

function gourl($url,$msg='',$exit=true)
{
	$msg_js=empty($msg)?'':'alert("'.$msg.'");';
	if(empty($url)){
		$url_js='location.href="'.$_SERVER['REQUEST_URI'].'";';
	}elseif(substr($url,0,1)=='-'){
		$url_js='window.history.go('.$url.');';
	}else{
		$url_js='location.href="'.$url.'";';
	}
	echo '<script>'.$msg_js.$url_js.'</script>';
	if($exit){
		exit;
	}
}


function href($link,$link2='',$file='index.php',$host='/')
{
	$linkType=c('linkType');
	$linkHref=$host=='/'?"/":$host;
	$link=explode('.',$link);
	$count=count($link);
	if($linkType==1){
		$linkHref.=$file=='index.php'?'':$file;
		if($count>2){
			$linkHref.='?m='.$link[0].'&a='.$link[1];
			if($count%2==0){
				for($i=2;$i<$count;$i++){
					if($i%2==0) $linkHref.='&'.$link[$i].'='.$link[$i+1];
				}
			}else{
				for($i=2;$i<$count;$i++){
					$linkHref.='&'.($i-1).'='.$link[$i];
				}
			}
		}elseif($count==1){
			$linkHref.='?m='.$link[0];
		}elseif($count==2){
			$linkHref.='?m='.$link[0].'&a='.$link[1];
		}
		return $linkHref;
	}elseif($linkType==2){
		$linkHref.=$file.'/';
		$linkHref.=implode('/',$link);
		return $linkHref;
	}elseif($linkType==3){
		$linkHref.=implode('/',$link);
		return $linkHref;
	}elseif($linkType==4){
		return $link2;
	}else{
		return '';
	}
}



function getip(){
   if (getenv("HTTP_CLIENT_IP") && strcasecmp(getenv("HTTP_CLIENT_IP"), "unknown"))
       $ip = getenv("HTTP_CLIENT_IP");
   else if (getenv("HTTP_X_FORWARDED_FOR") && strcasecmp(getenv("HTTP_X_FORWARDED_FOR"), "unknown"))
       $ip = getenv("HTTP_X_FORWARDED_FOR");
   else if (getenv("REMOTE_ADDR") && strcasecmp(getenv("REMOTE_ADDR"), "unknown"))
       $ip = getenv("REMOTE_ADDR");
   else if (isset($_SERVER['REMOTE_ADDR']) && $_SERVER['REMOTE_ADDR'] && strcasecmp($_SERVER['REMOTE_ADDR'], "unknown"))
       $ip = $_SERVER['REMOTE_ADDR'];
   else
       $ip = "unknown";
   return($ip);
}

function dump($var){
   echo "<pre>\n", var_dump($var), "</pre>";
}

function truncate($string, $strlen = 20, $etc = '...',$type='utf8',$keep_first_style = false)
{
	if($type=='gbk'){
        $strlen = $strlen*2;
        $string = trim($string);
        if ( strlen($string) <= $strlen )        {
                return $string;
        }
        $str = strip_tags($string);
        $j = 0;
    for($i=0;$i<$strlen;$i++) {
      if(ord(substr($str,$i,1))>0xa0) $j++; 
        }
    if($j%2!=0) $strlen++; 
    $rstr=substr($str,0,$strlen);
    if (strlen($str)>$strlen  ) {$rstr .= $etc;} 

        if ( $keep_first_style == true && ereg('^<(.*)>$',$string) )        {
                if ( strlen($str) <= $strlen )        {
                        return $string;
                }
                $start_pos = strpos($string,substr($str,0,4));
                $end_pos = strpos($string,substr($str,-4));
                $end_pos = $end_pos+4;
                $rstr = substr($string,0,$start_pos) . $rstr . substr($string,$end_pos,strlen($string));
        }

    return $rstr; 
	}elseif($type=='utf8'){
	$patten="/[\x01-\x7f]|[\xc2-\xdf][\x80-\xbf]|\xe0[\xa0-\xbf][\x80-\xbf]|[\xe1-\xef][\x80-\xbf][\x80-\xbf]|\xf0[\x90-\xbf][\x80-\xbf][\x80-\xbf]|[\xf1-\xf7][\x80-\xbf][\x80-\xbf][\x80-\xbf]/";
	preg_match_all($patten, $string, $regs);
	$v = 0;
	$s = '';
	for($i=0; $i<count($regs[0]); $i++){
		(ord($regs[0][$i]) > 129) ? $v += 2 : $v++;
		$s .= $regs[0][$i];
		if($v >= $strlen * 2){
			$s .= $etc;
			break;
		}
	}
	return $s;
	}

}


function msubstr($str, $start=0, $length, $charset="utf-8", $suffix=true)
{
	if(function_exists("mb_substr"))
		return mb_substr($str, $start, $length, $charset);
	elseif(function_exists('iconv_substr')) {
		return iconv_substr($str,$start,$length,$charset);
	}
	$re['utf-8']   = "/[\x01-\x7f]|[\xc2-\xdf][\x80-\xbf]|[\xe0-\xef][\x80-\xbf]{2}|[\xf0-\xff][\x80-\xbf]{3}/";
	$re['gb2312'] = "/[\x01-\x7f]|[\xb0-\xf7][\xa0-\xfe]/";
	$re['gbk']	  = "/[\x01-\x7f]|[\x81-\xfe][\x40-\xfe]/";
	$re['big5']	  = "/[\x01-\x7f]|[\x81-\xfe]([\x40-\x7e]|\xa1-\xfe])/";
	preg_match_all($re[$charset], $str, $match);
	$slice = join("",array_slice($match[0], $start, $length));
	if($suffix){
		return $slice."…";
	}else {
		return $slice;
	}
}

function rand_string($len=6,$type='',$addChars='') { 
    $str ='';
    switch($type) { 
        case 0:
            $chars='ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz'.$addChars; 
            break;
        case 1:
            $chars= str_repeat('0123456789',3); 
            break;
        case 2:
            $chars='ABCDEFGHIJKLMNOPQRSTUVWXYZ'.$addChars; 
            break;
        case 3:
            $chars='abcdefghijklmnopqrstuvwxyz'.$addChars; 
            break;
        default :
            // 默认去掉了容易混淆的字符oOLl和数字01，要添加请使用addChars参数
            $chars='ABCDEFGHIJKMNPQRSTUVWXYZabcdefghijkmnpqrstuvwxyz23456789'.$addChars; 
            break;
    }
    if($len>10 ) {//位数过长重复字符串一定次数
        $chars= $type==1? str_repeat($chars,$len) : str_repeat($chars,5); 
    }
	if($type!=4) {
		$chars   =   str_shuffle($chars);
		$str     =   substr($chars,0,$len);
	}else{
		// 中文随机字
		for($i=0;$i<$len;$i++){   
		  $str.= msubstr($chars, floor(mt_rand(0,mb_strlen($chars,'utf-8')-1)),1);   
		} 
	}
    return $str;
}

function build_verify($length=4,$mode=1) { 
    return rand_string($length,$mode);
}

function reConfig()
{
	$configNew=array();
	$config=array(
			'moduleFix'=>'_module',
			'actionFix'=>'_xzy',
			'defaultView'=>'default',
			);
	if(!defined('CONFIG_FILE')) define('CONFIG_FILE',INDEX_PATH.'/include/config.php');
	if(file_exists(CONFIG_FILE)) $configNew=require(CONFIG_FILE);
	return array_merge($config,$configNew);
}

function c($key){
	global $config;
	return $config[$key];
}

function setConfig($key,$val)
{
	global $config;
	$config[$key]=$val;
}


function writeCache($filename,$var,$s)
{
	$var=array('var'=>$var,'s'=>$s);
	$content=serialize($var);
	$content='<?php exit;?>'.$content;
	fclose(fopen($filename,'w'));
	if(file_put_contents($filename,$content)){
		return true;
	}else{
		return false;
	}
}

function readCache($filename)
{
	$content=@file_get_contents($filename);
	$var=unserialize(str_replace('<?php exit;?>','',$content));
	$mtime=filemtime($filename);
	if(time()-$mtime>=$var['s']){
		@unlink($filename);
		return false;
	}else{
		$_SESSION['run']['cachenum']=!isset($_SESSION['run']['cachenum'])?0:$_SESSION['run']['cachenum'];
		$_SESSION['run']['cachenum']++;
		return $var['var'];
	}
}

function load($type,$f='')
{
	if($type=='xzy'){
		$file=XZY_PATH.$f;
	}elseif($type=='app'){
		$file=INDEX_PATH.$f;
	}elseif($type=='include'){
		$file=INDEX_PATH.'/include/'.$f;
	}else{
		$file=$type;
	}
	if(file_exists($file)){
		require($file);
	}else{
		throw new Exception('文件&nbsp;<font color=red>'.$file.'</font>&nbsp;不存在！');
	}
}

function unwCache($appname)
{
	if(c('cacheType')!='memcache') throw new Exception('unwCache函数必须开启memcache缓存方式才能生效！');
	$m=memcache();
	$return=$m->get($appname.'CacheList');
	if(!empty($return)){
		foreach($return[$appname] as $v){
			$m->delete($appname.'__'.$v);
		}
	}
}

function wCache($appname,$name,$var='',$s=0)
{
	if(c('cacheType')!='memcache') throw new Exception('wCache函数必须开启memcache缓存方式才能生效！');
	$m=memcache();
	$n=$appname.'__'.$name;
	if(empty($var)){
		return memcacheCacheRead($m,$n);
	}else{
		$return=$m->get($appname.'CacheList');
		if(empty($return)){
			$return[$appname][]=$name;
			
		}else{
			$temp=$return[$appname];
			$t=true;
			while ($fruit_name = current($temp)) {
			   if ($fruit_name == $name) {
				   $return[$appname][key($temp)]=$name;
				   $t=false;
				   break;
			   }
			   next($temp);
			}
			if($t) $return[$appname][]=$name;
		}
		$m->set($appname.'CacheList',$return,0,360000000);
		$m->set($n,$var,0,$s);
		return memcacheCacheRead($m,$n);
	}
}

function db($table="")
{
	$db=new db();
	if(empty($table)) return $db;
	else return $db->table($table);
}

function cache($name,$var='',$s=0)
{
	$name=str_replace(' ','',substr($name,0,30)).'_'.substr(md5($name),8,16);
	if(c('cacheType')=='memcache') return memcacheCache($name,$var,$s);
	else return fileCache($name,$var,$s);
	
}

function memcacheCacheRead($m,$name)
{
	$return=$m->get($name);
	if(empty($return)) return false;
	else{
		$_SESSION['run']['cachenum']=!isset($_SESSION['run']['cachenum'])?0:$_SESSION['run']['cachenum'];
		$_SESSION['run']['cachenum']++;
		return $return;
	}
}

function memcacheCache($name,$var,$s)
{
	$m=memcache();
	if(empty($var)){
		return memcacheCacheRead($m,$name);
	}else{
		$m->set($name,$var,0,$s);
		return memcacheCacheRead($m,$name);
	}
}

function fileCache($name,$var,$s)
{	
	$filename=CACHE_PATH.$name.'.php';
	if(empty($var)){
		if(file_exists($filename)){
			return readCache($filename);
		}else return false;
	}else{
		if(writeCache($filename,$var,$s)){
			return readCache($filename);
		}else
			throw new Exception('File cache write error！');
	}
}

function dourl()
{
	//$_SERVER['REQUEST_URI'];
	
	if(isset($_GET['m']) || isset($_GET['a'])){
		$_GET['m']=isset($_GET['m'])?$_GET['m']:MODULE_INDEX;
		$_GET['a']=isset($_GET['a'])?$_GET['a']:ACTION_INDEX;
	}elseif(!empty($_SERVER['PATH_INFO'])){
		$path=explode('/',$_SERVER['PATH_INFO']);
		array_shift($path);	
		foreach($path as $v){
			if(!empty($v)) $p[]=$v;
		}
		$path=$p;
		$count=count($path);
		$_GET['m']=$path[0];
		$_GET['a']=isset($path[1])?$path[1]:ACTION_INDEX;
		if($count>2){
			if($count%2==0){
				for($i=2;$i<$count;$i++){
					if($i%2==0){
						$_GET[$path[$i]]=$path[$i+1];
					}
				}
			}else{
				for($i=2;$i<$count;$i++){
					$_GET[$i-1]=$path[$i];
				}
			}
		}
		return ;
	}else{
		$_GET['m']=MODULE_INDEX;
		$_GET['a']=ACTION_INDEX;
	}
}


function arr_stripsl($arr)
{
	$row=array();
	if(!empty($arr)){
		foreach($arr as $k=>$v){
			if(is_array($v)){
				$row[$k]=arr_stripsl($v);
			}else{
				$row[$k]=stripslashes($v);
			}
		}
	}
	return $row;
}

function memcache()
{
	$mem = new Memcache;
	$mem->connect(c('memcacheHost'),c('memcachePort')) or die("Memcache could not connect");
	return $mem;
}

function setSession()
{
	
	$sessionType=c('sessionType');
	if(!empty($sessionType) && $sessionType!='file'){
		if($sessionType=='db'){
			load('xzy','session.class.php');
		}elseif($sessionType=='memcache'){
			if(c('memcache')){
				ini_set('session.save_handler','memcache');  
				ini_set('session.save_path','tcp://'.c('memcacheHost').':'.c('memcachePort'));
			}else throw new Exception('Session for memcache error : config.php -> Memcache&nbsp;<font color=red>false</font>&nbsp;状态！');
			session_start();
		}
	}else{
		session_start();
	}
}
?>